'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React$1 = require('react');
var reactRouterDom = require('react-router-dom');
var Link = require('next/link');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React$1);
var Link__default = /*#__PURE__*/_interopDefaultLegacy(Link);

class ApiClient {
  constructor(apiKey, apiBearer) {
    this.apiKey = apiKey;
    this.apiBearer = apiBearer;
  }

  async getModel() {
    const res = await fetch(`https://deliver.kontent.ai/${this.apiKey}/items?system.type=model_page&language=de-DE&elements.make_id=audi&elements.model_id=a1`);
    return await res.json();
  }

}

const DataContext = React.createContext({});

const LinkReactRouter = props => {
  return /*#__PURE__*/React__default["default"].createElement("div", null, /*#__PURE__*/React__default["default"].createElement(reactRouterDom.Link, {
    to: "/"
  }, props.label));
};

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ".Link-module_linkLabel__58o8N {\n  color: pink; }\n";
var styles = {"linkLabel":"Link-module_linkLabel__58o8N"};
styleInject(css_248z);

function LinkNext(props) {
  return /*#__PURE__*/React__default["default"].createElement(Link__default["default"], {
    href: "/"
  }, /*#__PURE__*/React__default["default"].createElement("a", null, /*#__PURE__*/React__default["default"].createElement("div", {
    className: styles.linkLabel
  }, props.label)));
}

const getData = async () => {
  const res = await fetch(`https://jsonplaceholder.typicode.com/posts?_limit=6`);
  return await res.json();
};
const getModel = async () => {
  const res = await fetch(`https://deliver.kontent.ai/${process.env.NEXT_PUBLIC_SEO_PAGES_PROJECT_KEY}/items?system.type=model_page&language=de-DE&elements.make_id=audi&elements.model_id=a1`);
  return await res.json();
};

exports.ApiClient = ApiClient;
exports.DataContext = DataContext;
exports.LinkNext = LinkNext;
exports.LinkReactRouter = LinkReactRouter;
exports.getData = getData;
exports.getModel = getModel;
